QwtSystemClock(3)

NAME
QwtSystemClock - QwtSystemClock provides high resolution clock time functions.

SYNOPSIS

#include <qwt_system_clock.h>

  Public Member Functions
bool isNull () const
void start ()
Start the elapsed timer.
double restart ()
double elapsed () const

Detailed Description

QwtSystemClock provides high resolution clock time functions. Precision and time intervals are multiples of milliseconds (ms).

( QwtSystemClock is deprecated as QElapsedTimer offers the same precision )

Definition at line 24 of file qwt_system_clock.h.

Member Function Documentation

  double QwtSystemClock::elapsed () const

Returns
    elapsed time in multiples of milliseconds

Definition at line 36 of file qwt_system_clock.cpp.

  bool QwtSystemClock::isNull () const

Returns
    true, if the elapsed timer is valid

Definition at line 14 of file qwt_system_clock.cpp.

  double QwtSystemClock::restart ()
Restart the elapsed timer

Returns
    elapsed time in multiples of milliseconds

Definition at line 29 of file qwt_system_clock.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.